> ## Documentation Index
> Fetch the complete documentation index at: https://docs.closerintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Leads to Campaign



## OpenAPI

````yaml POST /campaigns/{id}/leads
openapi: 3.0.0
info:
  title: Closer Intellect AI API
  description: >-
    The core API documentation and interactive playground for Closer Intellect
    AI.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /campaigns/{id}/leads:
    post:
      tags:
        - Campaigns
      operationId: CampaignsController_addLeadsToCampaign
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddLeadsToCampaignDto'
      responses:
        '201':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    AddLeadsToCampaignDto:
      type: object
      properties:
        leadIds:
          example:
            - 1
            - 2
            - 3
          type: array
          items:
            type: string
      required:
        - leadIds
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````